#!/usr/local/bin/tsipp
#
# Sphere object with various different shaders. -misc == shader to use.
#
# $Id: sphere.tcl,v 1.4 1997/07/03 00:39:35 markd Exp $
#

source ../utils.tcl

ParseArgs

switch -- $misc {
    PHONG {
        set shader [SippShaderPhong 0.4 0.4 0.6 100 {0.5 0.0 1.0}]
    }
    WOOD {
        set shader [SippShaderWood 0.4 0.0 0.99 10.0 {0.770 0.568 0.405} \
                                   {0.468 0.296 0.156}]
    }
    MARBLE {
        set shader [SippShaderMarble 0.4 0.5 0.05 8.0 {0.90 0.80 0.65} \
                                     {0.30 0.08 0.08}]
    }
    GRANITE {
        set shader [SippShaderGranite 0.4 0.5 0.05 8.0 {0.90 0.80 0.65} \
                                      {0.30 0.08 0.08}]
    }
    BOZO {
        set colors {{1.0 0.0 0.0} {0.2 0.4 0.0}}
        set shader [SippShaderBozo 0.4 0.5 0.05 3.0 $colors]
    }
    HOLEY {
        set granite [SippShaderGranite 0.4 0.3 1.0 100.0 {1.0 0.1 0.1} \
                                       {0.1 0.1 0.1}]
        set shader [SippShaderBumpy $granite 14.0 HOLES]
    }
    BUMPY {
        set granite [SippShaderGranite 0.4 0.3 1.0 100.0 {1.0 0.1 0.1} \
                                       {0.1 0.1 0.1}]
        set shader [SippShaderBumpy $granite 14.0 BUMPS]
    }
    ROUGH {
        set granite [SippShaderGranite 0.4 0.3 1.0 100.0 {1.0 0.1 0.1} \
                                       {0.1 0.1 0.1}]
        set shader [SippShaderBumpy $granite 14.0 HOLES BUMPS]
    }
    default {
        Fatal "Invalid argument to -misc \"$misc\""
    }
}
set obj [SippSphere 1.0 25 $shader]
SippObjectAddSubobj WORLD $obj

StdLights
StdRender

